<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>JJTDPathParserState</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JJTDPathParserState";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JJTDPathParserState.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" target="_top">Frames</a></li>
<li><a href="JJTDPathParserState.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class JJTDPathParserState" class="title">Class JJTDPathParserState</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.JJTDPathParserState</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">JJTDPathParserState</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#marks">marks</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#mk">mk</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#node_created">node_created</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#nodes">nodes</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#sp">sp</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#JJTDPathParserState()">JJTDPathParserState</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#clearNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">clearNodeScope</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20boolean)">closeNodeScope</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
              boolean&nbsp;condition)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20int)">closeNodeScope</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
              int&nbsp;num)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#nodeArity()">nodeArity</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#nodeCreated()">nodeCreated</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#openNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">openNodeScope</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#peekNode()">peekNode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#popNode()">popNode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#pushNode(fr.inria.alpage.frmgcm.dpp.Node)">pushNode</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#reset()">reset</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#rootNode()">rootNode</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="nodes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodes</h4>
<pre>private&nbsp;java.util.List&lt;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&gt; nodes</pre>
</li>
</ul>
<a name="marks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>marks</h4>
<pre>private&nbsp;java.util.List&lt;java.lang.Integer&gt; marks</pre>
</li>
</ul>
<a name="sp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sp</h4>
<pre>private&nbsp;int sp</pre>
</li>
</ul>
<a name="mk">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mk</h4>
<pre>private&nbsp;int mk</pre>
</li>
</ul>
<a name="node_created">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>node_created</h4>
<pre>private&nbsp;boolean node_created</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JJTDPathParserState()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JJTDPathParserState</h4>
<pre>public&nbsp;JJTDPathParserState()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="nodeCreated()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodeCreated</h4>
<pre>public&nbsp;boolean&nbsp;nodeCreated()</pre>
</li>
</ul>
<a name="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
</li>
</ul>
<a name="rootNode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rootNode</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;rootNode()</pre>
</li>
</ul>
<a name="pushNode(fr.inria.alpage.frmgcm.dpp.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pushNode</h4>
<pre>public&nbsp;void&nbsp;pushNode(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</pre>
</li>
</ul>
<a name="popNode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>popNode</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;popNode()</pre>
</li>
</ul>
<a name="peekNode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>peekNode</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;peekNode()</pre>
</li>
</ul>
<a name="nodeArity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodeArity</h4>
<pre>public&nbsp;int&nbsp;nodeArity()</pre>
</li>
</ul>
<a name="clearNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearNodeScope</h4>
<pre>public&nbsp;void&nbsp;clearNodeScope(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</pre>
</li>
</ul>
<a name="openNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openNodeScope</h4>
<pre>public&nbsp;void&nbsp;openNodeScope(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</pre>
</li>
</ul>
<a name="closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeNodeScope</h4>
<pre>public&nbsp;void&nbsp;closeNodeScope(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
                  int&nbsp;num)</pre>
</li>
</ul>
<a name="closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node, boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>closeNodeScope</h4>
<pre>public&nbsp;void&nbsp;closeNodeScope(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
                  boolean&nbsp;condition)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JJTDPathParserState.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" target="_top">Frames</a></li>
<li><a href="JJTDPathParserState.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
